| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ISerialize Class Referenceabstract

Object serialization interface definition. More...

`#include <GaudiKernel/ISerialize.h>`

Inheritance diagram for ISerialize:
[legend]
Collaboration diagram for ISerialize:
[legend]

## Public Member Functions
| DeclareInterfaceID (ISerialize, 2, 0)
| InterfaceID. More...
virtual StreamBuffer & | serialize (StreamBuffer &str)=0
| Input serialization from stream buffer. More...
virtual StreamBuffer & | serialize (StreamBuffer &str) const =0
| Output serialization to stream buffer. More...
Public Member Functions inherited from IInterface
virtual void * | i_cast (const InterfaceID &) const =0
| main cast function More...
virtual std::vector< std::string > | getInterfaceNames () const =0
| Returns a vector of strings containing the names of all the implemented interfaces. More...
virtual unsigned long | addRef ()=0
| Increment the reference count of Interface instance. More...
virtual unsigned long | release ()=0
| Release Interface instance. More...
virtual unsigned long | refCount () const =0
| Current reference count. More...
virtual StatusCode | queryInterface (const InterfaceID &ti, void **pp)=0
| Set the void** to the pointer to the requested interface of the instance. More...
virtual | ~IInterface ()=default
| Virtual destructor. More...

## Additional Inherited Members
Public Types inherited from IInterface
enum | Status { SUCCESS = 1, NO_INTERFACE, VERSMISMATCH, LAST_ERROR }
| Return status. More...
using | iid = Gaudi::InterfaceId< IInterface, 0, 0 >
| Interface ID. More...
using | ext_iids = Gaudi::interface_list< iid >
| Extra interfaces. More...
Static Public Member Functions inherited from IInterface
static const InterfaceID & | interfaceID ()
| Return an instance of InterfaceID identifying the interface. More...

## Detailed Description

Object serialization interface definition.

Definition of a interface to save and restore objects.

Author
  M.Frank

Definition at line 17 of file ISerialize.h.

## Member Function Documentation

ISerialize::DeclareInterfaceID | ( | ISerialize | ,
|  | 2 | ,
|  | 0 |
| ) |  |

InterfaceID.

virtual StreamBuffer& ISerialize::serialize | ( | StreamBuffer & | str | ) |
| pure virtual

Input serialization from stream buffer.

Restores the status of the object.

Parameters

  str | Reference to Streambuffer to be filled

Returns
  Reference to filled stream buffer

virtual StreamBuffer& ISerialize::serialize | ( | StreamBuffer & | str | ) | const
| pure virtual

Output serialization to stream buffer.

Saves the status of the object.

Parameters

  str | Reference to Streambuffer to be read

Returns
  Reference to read stream buffer

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/ISerialize.h